HashAlgorithm (Bouncy Castle Library 1.54 API Specification)
Date: 2015-12-29

org.bouncycastle.crypto.tls

## Class HashAlgorithm

- java.lang.Object
- - org.bouncycastle.crypto.tls.HashAlgorithm

-     public class HashAlgorithm
      extends java.lang.Object

  RFC 5246 7.4.1.4.1

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static short` | `md5`
    `static short` | `none`
    `static short` | `sha1`
    `static short` | `sha224`
    `static short` | `sha256`
    `static short` | `sha384`
    `static short` | `sha512`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HashAlgorithm()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String` | `getName(short hashAlgorithm)`
    `static java.lang.String` | `getText(short hashAlgorithm)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### none

          public static final short none

      See Also:
        Constant Field Values

    - #### md5

          public static final short md5

      See Also:
        Constant Field Values

    - #### sha1

          public static final short sha1

      See Also:
        Constant Field Values

    - #### sha224

          public static final short sha224

      See Also:
        Constant Field Values

    - #### sha256

          public static final short sha256

      See Also:
        Constant Field Values

    - #### sha384

          public static final short sha384

      See Also:
        Constant Field Values

    - #### sha512

          public static final short sha512

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### HashAlgorithm

          public HashAlgorithm()

  - ### Method Detail

    - #### getName

          public static java.lang.String getName(short hashAlgorithm)

    - #### getText

          public static java.lang.String getText(short hashAlgorithm)